fmt_ulonglong(3)

NAME
fmt_ulonglong - write an ASCII representation of an unsigned long long integer

SYNTAX
#include <libowfat/fmt.h>

size_t fmt_ulonglong(char *dest,unsigned long long source);

DESCRIPTION
fmt_ulonglong writes an ASCII representation ('0' to '9', base 10) of source to dest and returns the number of bytes written.

fmt_ulonglong does not append \0.

If dest equals FMT_LEN (i.e. is zero), fmt_ulonglong returns the number of bytes it would have written.

For convenience, fmt.h defines the integer FMT_ULONG to be big enough to contain every possible fmt_ulonglong output plus \0.

SEE ALSO
scan_ulonglong(3)